Subject: Re: [PATCH] virtio_net: Allow setting the MAC address of the NIC

From: Rusty Russell <[email-masked]>
Date: Thu, 5 Feb 2009 10:07:12 +1030

On Thursday 05 February 2009 05:56:06 Alex Williamson wrote:
> Many physical NICs let the OS re-program the "hardware" MAC
> address.  Virtual NICs should allow this too.
> 
> Signed-off-by: Alex Williamson <[email-masked]>
> Acked-by: Mark McLoughlin <[email-masked]>
> ---
> 
> Rusty, you've already applied this to your patch queue, but that version
> won't apply cleanly after the MAC and VLAN filtering patches I just sent
> for net-next-2.6 (just diff context changes).  This version should apply
> cleanly, so either drop the original and apply this after rebase, or
> maybe it should just go directly into net-next-2.6?  Thanks,

Yes, it should go directly into net-next-2.6.

I like to keep some variant in my tree so I can see when they go upstream
(and ideally notice if they haven't for some reason).

Thanks,
Rusty.